#include<bits/stdc++.h>
#define all(A) A.begin(), A.end()
using namespace std;

const int MAXN = 1e6;

struct unionfind{
	int n;
	vector<int> par, sz;
	unionfind() {}
	unionfind(int n) : n(n){
		par = vector<int>(n + 1);
		iota(all(par), 0);
		sz = vector<int>(n + 1, 1);
	}
	bool join(int u, int v){
		u = find(u); v = find(v);
		if(u == v) return false;
		if(sz[u] < sz[v]) swap(u, v);
		sz[u] += sz[v];
		par[v] = u;
		return true;
	}
	int find(int u){
		return (par[u] == u ? u : par[u] = find(par[u]));
	}
};

int n, nodes[MAXN + 5];
vector<int> a;

int main(){
	cin >> n;
	a.resize(n);
	for(auto &x : a) cin >> x;
	sort(all(a));
	long long ans = 0;
	vector<int> new_a;
	for(int i = 0; i + 1 < n; i ++){
		ans += gcd(a[i], a[i + 1]);
	}
	cout << ans << endl;
}
/*
10
3 12 4 6 13 18 12 8 7 11 
*/
